package com.yeejoin.amos.boot.module.jxiop.biz.jxdz.factory;

import com.yeejoin.amos.boot.module.jxiop.biz.jxdz.Enum.JXDZCodeEnum;
import com.yeejoin.amos.boot.module.jxiop.biz.jxdz.vo.PvDeviceDataVO;
import com.yeejoin.amos.boot.module.jxiop.biz.jxdz.vo.PvStationDataVO;
import com.yeejoin.amos.boot.module.jxiop.biz.jxdz.vo.WindDeviceDataVO;
import com.yeejoin.amos.boot.module.jxiop.biz.jxdz.vo.WindStationDataVO;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class MockServiceImpl {

    public List<WindStationDataVO> getFD()
    {
        List<WindStationDataVO> windStationDataVOList= new ArrayList<>();
        WindStationDataVO windStationDataVO = new WindStationDataVO();
        windStationDataVO.setCode(JXDZCodeEnum.XZ.getCode());
        windStationDataVO.setName(JXDZCodeEnum.XZ.getRemark());
        windStationDataVO.setGenerationPower(84.8);
        windStationDataVO.setWindSpeed(10.58);
        windStationDataVO.setWindDirection(0.0);
        windStationDataVO.setGenerationDaily(184.8);
        windStationDataVO.setGenerationMonth(675.78);
        windStationDataVO.setGenerationYear(1.7532);
        windStationDataVO.setGenerationGross(9.57915287);
        windStationDataVO.setUtilizeHours(23.99);
        windStationDataVO.setLossElectricity(0.0);
        windStationDataVO.setOnGridEnergyDaily(183.9024);
        windStationDataVO.setOnGridEnergyMonth(662.2722);
        windStationDataVO.setOnGridEnergyYear(17407.0879);
        windStationDataVO.setOnGridEnergyGross(94784.5102);
        windStationDataVOList.add(windStationDataVO);
        return windStationDataVOList;
    }

    public List<PvStationDataVO> getGF()
    {
        List<PvStationDataVO> pvStationDataVOList= new ArrayList<>();
        PvStationDataVO pvStationDataVO = new PvStationDataVO();
        pvStationDataVO.setCode(JXDZCodeEnum.GF.getCode());
        pvStationDataVO.setName(JXDZCodeEnum.GF.getRemark());
        pvStationDataVO.setGenerationPower(19.68);
        pvStationDataVO.setTotalRadiation(1700.0);
        pvStationDataVO.setDirectRadiation(1200.0);
        pvStationDataVO.setScatterRadiation(500.0);
        pvStationDataVO.setGenerationDaily(1.176);
        pvStationDataVO.setGenerationMonth(155.344);
        pvStationDataVO.setGenerationYear(2131.612);
        pvStationDataVO.setGenerationGross(18898.781);
        pvStationDataVO.setUtilizeHours(0.54);
        pvStationDataVO.setLossElectricity(0.0);
        pvStationDataVO.setTotalIrradiance(1000.0);
        pvStationDataVO.setDirectIrradiance(705.88);
        pvStationDataVO.setScatterIrradiance(294.12);
        pvStationDataVO.setOnGridEnergyDaily(1.148);
        pvStationDataVO.setOnGridEnergyMonth(154.42);
        pvStationDataVO.setOnGridEnergyYear(2120.58);
        pvStationDataVO.setOnGridEnergyGross(18707.242);
        pvStationDataVOList.add(pvStationDataVO);
        return pvStationDataVOList;
    }

    public List<WindDeviceDataVO> getFDSB()
    {
        List<WindDeviceDataVO> windDeviceDataVOList = new ArrayList<>();
        WindDeviceDataVO windDeviceDataVO1 = new WindDeviceDataVO();
        windDeviceDataVO1.setCode("W005 01 MD01");
        windDeviceDataVO1.setName("01风机");
        windDeviceDataVO1.setGenerationDaily(7.3127);
        windDeviceDataVO1.setGenerationMonth(20.0295);
        windDeviceDataVO1.setGenerationYear(0.051963242);
        windDeviceDataVO1.setGenerationGross(0.283917314);
        windDeviceDataVOList.add(windDeviceDataVO1);

        WindDeviceDataVO windDeviceDataVO2 = new WindDeviceDataVO();
        windDeviceDataVO2.setCode("W005 01 MD02");
        windDeviceDataVO2.setName("02风机");
        windDeviceDataVO2.setGenerationDaily(5.9321);
        windDeviceDataVO2.setGenerationMonth(24.4546);
        windDeviceDataVO2.setGenerationYear(0.063443435);
        windDeviceDataVO2.setGenerationGross(0.346642919);
        windDeviceDataVOList.add(windDeviceDataVO2);

        WindDeviceDataVO windDeviceDataVO3 = new WindDeviceDataVO();
        windDeviceDataVO3.setCode("W005 01 MD03");
        windDeviceDataVO3.setName("03风机");
        windDeviceDataVO3.setGenerationDaily(5.7544);
        windDeviceDataVO3.setGenerationMonth(19.4846);
        windDeviceDataVO3.setGenerationYear(0.050549588);
        windDeviceDataVO3.setGenerationGross(0.27619338);
        windDeviceDataVOList.add(windDeviceDataVO3);

        WindDeviceDataVO windDeviceDataVO4 = new WindDeviceDataVO();
        windDeviceDataVO4.setCode("W005 01 MD04");
        windDeviceDataVO4.setName("04风机");
        windDeviceDataVO4.setGenerationDaily(7.4352);
        windDeviceDataVO4.setGenerationMonth(30.266026);
        windDeviceDataVO4.setGenerationYear(0.078520224);
        windDeviceDataVO4.setGenerationGross(0.429019636);
        windDeviceDataVOList.add(windDeviceDataVO4);

        WindDeviceDataVO windDeviceDataVO5 = new WindDeviceDataVO();
        windDeviceDataVO5.setCode("W005 01 MD05");
        windDeviceDataVO5.setName("05风机");
        windDeviceDataVO5.setGenerationDaily(5.8612);
        windDeviceDataVO5.setGenerationMonth(24.5924);
        windDeviceDataVO5.setGenerationYear(0.063800935);
        windDeviceDataVO5.setGenerationGross(0.348596228);
        windDeviceDataVOList.add(windDeviceDataVO5);

        WindDeviceDataVO windDeviceDataVO6 = new WindDeviceDataVO();
        windDeviceDataVO6.setCode("W005 01 MD06");
        windDeviceDataVO6.setName("06风机");
        windDeviceDataVO6.setGenerationDaily(5.9684);
        windDeviceDataVO6.setGenerationMonth(25.7875);
        windDeviceDataVO6.setGenerationYear(0.066901425);
        windDeviceDataVO6.setGenerationGross(0.36553672);
        windDeviceDataVOList.add(windDeviceDataVO6);

        WindDeviceDataVO windDeviceDataVO7 = new WindDeviceDataVO();
        windDeviceDataVO7.setCode("W005 01 MD07");
        windDeviceDataVO7.setName("07风机");
        windDeviceDataVO7.setGenerationDaily(5.9761);
        windDeviceDataVO7.setGenerationMonth(19.5514);
        windDeviceDataVO7.setGenerationYear(0.05072289);
        windDeviceDataVO7.setGenerationGross(0.277140267);
        windDeviceDataVOList.add(windDeviceDataVO7);

        WindDeviceDataVO windDeviceDataVO8 = new WindDeviceDataVO();
        windDeviceDataVO8.setCode("W005 01 MD08");
        windDeviceDataVO8.setName("08风机");
        windDeviceDataVO8.setGenerationDaily(6.0025);
        windDeviceDataVO8.setGenerationMonth(21.221);
        windDeviceDataVO8.setGenerationYear(0.055054392);
        windDeviceDataVO8.setGenerationGross(0.300806776);
        windDeviceDataVOList.add(windDeviceDataVO8);

        WindDeviceDataVO windDeviceDataVO9 = new WindDeviceDataVO();
        windDeviceDataVO9.setCode("W005 02 MD09");
        windDeviceDataVO9.setName("09风机");
        windDeviceDataVO9.setGenerationDaily(4.4858);
        windDeviceDataVO9.setGenerationMonth(17.0922);
        windDeviceDataVO9.setGenerationYear(0.0443429);
        windDeviceDataVO9.setGenerationGross(0.242281211);
        windDeviceDataVOList.add(windDeviceDataVO9);

        WindDeviceDataVO windDeviceDataVO10 = new WindDeviceDataVO();
        windDeviceDataVO10.setCode("W005 02 MD10");
        windDeviceDataVO10.setName("10风机");
        windDeviceDataVO10.setGenerationDaily(4.9231);
        windDeviceDataVO10.setGenerationMonth(18.8002);
        windDeviceDataVO10.setGenerationYear(0.048774025);
        windDeviceDataVO10.setGenerationGross(0.266492039);
        windDeviceDataVOList.add(windDeviceDataVO10);

        WindDeviceDataVO windDeviceDataVO11 = new WindDeviceDataVO();
        windDeviceDataVO11.setCode("W005 02 MD11");
        windDeviceDataVO11.setName("11风机");
        windDeviceDataVO11.setGenerationDaily(5.8969);
        windDeviceDataVO11.setGenerationMonth(21.7058);
        windDeviceDataVO11.setGenerationYear(0.056312126);
        windDeviceDataVO11.setGenerationGross(0.056312126);
        windDeviceDataVOList.add(windDeviceDataVO11);

        WindDeviceDataVO windDeviceDataVO12 = new WindDeviceDataVO();
        windDeviceDataVO12.setCode("W005 02 MD12");
        windDeviceDataVO12.setName("12风机");
        windDeviceDataVO12.setGenerationDaily(5.4055);
        windDeviceDataVO12.setGenerationMonth(17.0144);
        windDeviceDataVO12.setGenerationYear(0.044141061);
        windDeviceDataVO12.setGenerationGross(0.241178399);
        windDeviceDataVOList.add(windDeviceDataVO12);

        WindDeviceDataVO windDeviceDataVO13 = new WindDeviceDataVO();
        windDeviceDataVO13.setCode("W005 02 MD13");
        windDeviceDataVO13.setName("13风机");
        windDeviceDataVO13.setGenerationDaily(5.4026);
        windDeviceDataVO13.setGenerationMonth(18.7706);
        windDeviceDataVO13.setGenerationYear(0.048697233);
        windDeviceDataVO13.setGenerationGross(0.26607246);
        windDeviceDataVOList.add(windDeviceDataVO13);

        WindDeviceDataVO windDeviceDataVO14 = new WindDeviceDataVO();
        windDeviceDataVO14.setCode("W005 02 MD14");
        windDeviceDataVO14.setName("14风机");
        windDeviceDataVO14.setGenerationDaily(5.9512);
        windDeviceDataVO14.setGenerationMonth(21.8937);
        windDeviceDataVO14.setGenerationYear(0.056799602);
        windDeviceDataVO14.setGenerationGross(0.31034227);
        windDeviceDataVOList.add(windDeviceDataVO14);

        WindDeviceDataVO windDeviceDataVO15 = new WindDeviceDataVO();
        windDeviceDataVO15.setCode("W005 02 MD15");
        windDeviceDataVO15.setName("15风机");
        windDeviceDataVO15.setGenerationDaily(5.9682);
        windDeviceDataVO15.setGenerationMonth(22.0854);
        windDeviceDataVO15.setGenerationYear(0.057296936);
        windDeviceDataVO15.setGenerationGross(0.057296936);
        windDeviceDataVOList.add(windDeviceDataVO15);

        WindDeviceDataVO windDeviceDataVO16 = new WindDeviceDataVO();
        windDeviceDataVO16.setCode("W005 02 MD16");
        windDeviceDataVO16.setName("16风机");
        windDeviceDataVO16.setGenerationDaily(8.0901);
        windDeviceDataVO16.setGenerationMonth(29.098);
        windDeviceDataVO16.setGenerationYear(0.075489972);
        windDeviceDataVO16.setGenerationGross(0.412462917);
        windDeviceDataVOList.add(windDeviceDataVO16);

        WindDeviceDataVO windDeviceDataVO17 = new WindDeviceDataVO();
        windDeviceDataVO17.setCode("W005 02 MD17");
        windDeviceDataVO17.setName("17风机");
        windDeviceDataVO17.setGenerationDaily(8.0363);
        windDeviceDataVO17.setGenerationMonth(29.0017);
        windDeviceDataVO17.setGenerationYear(0.075240138);
        windDeviceDataVO17.setGenerationGross(0.075240138);
        windDeviceDataVOList.add(windDeviceDataVO17);

        WindDeviceDataVO windDeviceDataVO18 = new WindDeviceDataVO();
        windDeviceDataVO18.setCode("W005 03 MD18");
        windDeviceDataVO18.setName("18风机");
        windDeviceDataVO18.setGenerationDaily(0.127);
        windDeviceDataVO18.setGenerationMonth(18.7089);
        windDeviceDataVO18.setGenerationYear(0.048537162);
        windDeviceDataVO18.setGenerationGross(0.265197865);
        windDeviceDataVOList.add(windDeviceDataVO18);

        WindDeviceDataVO windDeviceDataVO19 = new WindDeviceDataVO();
        windDeviceDataVO19.setCode("W005 03 MD19");
        windDeviceDataVO19.setName("19风机");
        windDeviceDataVO19.setGenerationDaily(8.1762);
        windDeviceDataVO19.setGenerationMonth(29.6865);
        windDeviceDataVO19.setGenerationYear(0.077016739);
        windDeviceDataVO19.setGenerationGross(0.42080488);
        windDeviceDataVOList.add(windDeviceDataVO19);

        WindDeviceDataVO windDeviceDataVO20 = new WindDeviceDataVO();
        windDeviceDataVO20.setCode("W005 03 MD20");
        windDeviceDataVO20.setName("20风机");
        windDeviceDataVO20.setGenerationDaily(8.0743);
        windDeviceDataVO20.setGenerationMonth(27.7778);
        windDeviceDataVO20.setGenerationYear(0.072064931);
        windDeviceDataVO20.setGenerationGross(0.393749138);
        windDeviceDataVOList.add(windDeviceDataVO20);

        WindDeviceDataVO windDeviceDataVO21 = new WindDeviceDataVO();
        windDeviceDataVO21.setCode("W005 03 MD21");
        windDeviceDataVO21.setName("21风机");
        windDeviceDataVO21.setGenerationDaily(8.1997);
        windDeviceDataVO21.setGenerationMonth(27.3033);
        windDeviceDataVO21.setGenerationYear(0.070833919);
        windDeviceDataVO21.setGenerationGross(0.387023121);
        windDeviceDataVOList.add(windDeviceDataVO21);

        WindDeviceDataVO windDeviceDataVO22 = new WindDeviceDataVO();
        windDeviceDataVO22.setCode("W005 03 MD22");
        windDeviceDataVO22.setName("22风机");
        windDeviceDataVO22.setGenerationDaily(8.1195);
        windDeviceDataVO22.setGenerationMonth(29.0038);
        windDeviceDataVO22.setGenerationYear(0.075245586);
        windDeviceDataVO22.setGenerationGross(0.411127636);
        windDeviceDataVOList.add(windDeviceDataVO22);

        WindDeviceDataVO windDeviceDataVO23 = new WindDeviceDataVO();
        windDeviceDataVO23.setCode("W005 03 MD23");
        windDeviceDataVO23.setName("23风机");
        windDeviceDataVO23.setGenerationDaily(8.1398);
        windDeviceDataVO23.setGenerationMonth(29.6881);
        windDeviceDataVO23.setGenerationYear(0.07702089);
        windDeviceDataVO23.setGenerationGross(0.42082756);
        windDeviceDataVOList.add(windDeviceDataVO23);

        WindDeviceDataVO windDeviceDataVO24 = new WindDeviceDataVO();
        windDeviceDataVO24.setCode("W005 04 MD24");
        windDeviceDataVO24.setName("24风机");
        windDeviceDataVO24.setGenerationDaily(7.988);
        windDeviceDataVO24.setGenerationMonth(28.8942);
        windDeviceDataVO24.setGenerationYear(0.074961247);
        windDeviceDataVO24.setGenerationGross(0.409574061);
        windDeviceDataVOList.add(windDeviceDataVO24);

        WindDeviceDataVO windDeviceDataVO25 = new WindDeviceDataVO();
        windDeviceDataVO25.setCode("W005 04 MD25");
        windDeviceDataVO25.setName("25风机");
        windDeviceDataVO25.setGenerationDaily(5.951);
        windDeviceDataVO25.setGenerationMonth(21.353);
        windDeviceDataVO25.setGenerationYear(0.055396845);
        windDeviceDataVO25.setGenerationGross(0.30267787);
        windDeviceDataVOList.add(windDeviceDataVO25);

        WindDeviceDataVO windDeviceDataVO26 = new WindDeviceDataVO();
        windDeviceDataVO26.setCode("W005 04 MD26");
        windDeviceDataVO26.setName("26风机");
        windDeviceDataVO26.setGenerationDaily(5.9044);
        windDeviceDataVO26.setGenerationMonth(22.2882);
        windDeviceDataVO26.setGenerationYear(0.057823067);
        windDeviceDataVO26.setGenerationGross(0.315934291);
        windDeviceDataVOList.add(windDeviceDataVO26);

        WindDeviceDataVO windDeviceDataVO27 = new WindDeviceDataVO();
        windDeviceDataVO27.setCode("W005 04 MD27");
        windDeviceDataVO27.setName("27风机");
        windDeviceDataVO27.setGenerationDaily(7.0868);
        windDeviceDataVO27.setGenerationMonth(28.142);
        windDeviceDataVO27.setGenerationYear(0.073009788);
        windDeviceDataVO27.setGenerationGross(0.398911658);
        windDeviceDataVOList.add(windDeviceDataVO27);

        WindDeviceDataVO windDeviceDataVO28 = new WindDeviceDataVO();
        windDeviceDataVO28.setCode("W005 04 MD28");
        windDeviceDataVO28.setName("28风机");
        windDeviceDataVO28.setGenerationDaily(3.3865);
        windDeviceDataVO28.setGenerationMonth(22.738);
        windDeviceDataVO28.setGenerationYear(0.058989999);
        windDeviceDataVO28.setGenerationGross(0.322310187);
        windDeviceDataVOList.add(windDeviceDataVO28);

        WindDeviceDataVO windDeviceDataVO29 = new WindDeviceDataVO();
        windDeviceDataVO29.setCode("W005 04 MD29");
        windDeviceDataVO29.setName("29风机");
        windDeviceDataVO29.setGenerationDaily(6.5844);
        windDeviceDataVO29.setGenerationMonth(21.5945);
        windDeviceDataVO29.setGenerationYear(0.056023377);
        windDeviceDataVO29.setGenerationGross(0.306101123);
        windDeviceDataVOList.add(windDeviceDataVO29);

        return windDeviceDataVOList;
    }

    public  List<PvDeviceDataVO> getGFSB()
    {
        List<PvDeviceDataVO> pvDeviceDataVOList = new ArrayList<>();
        PvDeviceDataVO pvDeviceDataVO = new PvDeviceDataVO();
        return pvDeviceDataVOList;
    }
}
